#!/usr/bin/bash

# this starts and restarts after game end 
# a red baron server, with optional random variation
# of some parms ( map, date, time, name etc )

## exit


export srvname=rbsrv`basename $PWD |cut -d- -f2`
export rbstname=RBST`basename $PWD |cut -d- -f2`
echo X${srvname}X x${rbstname}

systeminfo |grep ^OS |grep Windows > winver
mod=mod3 #  set windows < windows 10
grep -c -w 10 winver && mod=mod4
grep -c -w 11 winver && mod=mod4
grep -c  -w  201[2-9] winver && mod=mod4
grep -c  -w  202[2-9] winver && mod=mod4
echo mod $mod

# always copy exes. better safe than sorry...

cp rb2serveM02.exe $srvname.exe
cp RBST_$mod.exe $rbstname.exe

# copy the proper cmd file ( pre win10 or win10 and later )
cp r.$mod.cmd r.cmd

ls -l  $srvname.exe $rbstname.exe



trappedc()
{
echo ctrl-c was hit $srvname $rbstname
powershell Stop-Process -Name $srvname
powershell Stop-Process -Name $rbstname
exit 1
}
trap  trappedc $srvname $rbstname SIGINT

 [ -f setx ] && set -x
while true 
do
date
# generate unless nogen file present
[ -f nogen ] || ./newgen.sh ""


set -x 


gamelen=`grep -i gamelen rb2server.ini|cut -d= -f2|sed 's/\r//g'`
gamelen=$(( $gamelen + 10 ))

cmd /c start /min $rbstname.exe  
sleep 2
cmd /c start  /min $srvname.exe

powershell Get-Process -Name $rbstname
powershell Get-Process -Name $srvname

echo start $SECONDS >> seclog
echo $PWD
ls nogen debugit setx

sleep $gamelen

echo  srvname : X${srvname}X

powershell Stop-Process -Name $srvname
powershell Stop-Process -Name $rbstname


echo termd $SECONDS >> seclog


printf "\n\n"

echo starting again in 5 seconds `date`
# echo not waiting ? `ps -p $waitfor` 

sleep 2

[ -f debugit ] && exit # debugging only one cycle .... 
done


